--- 
# General 
NUM_RECEIVERS:                     160   

IMAGE_SIZE:	            8192
FOV_DEG:                           5.5 # approx

FREQUENCY_HZ:                      299792458.0

VIS_INTENSITY_FILE:                "gaussian_beam.vis"
VIS_UVW_FILE:                      "gaussian_beam.uvw"

INPUT_DATA_PATH:                   "/var/sep/gaussianbeam/"
OUTPUT_DATA_PATH:                  "/home/seth/Desktop/NZAPP-419/"

NUM_MAJOR_CYCLES:                  3

RIGHT_ASCENSION:                   1

# Natural = 0, Uniform = 1, Robust = 2
WEIGHTING_SCHEME:                  0
# Value should range from (-2.0 to +2.0)
# -2.0 is close to uniform weighting
# +2.0 is close to natural weighting
ROBUSTNESS:                        0.0


SAVE_DIRTY_IMAGES:                 1
SAVE_RESIDUAL_IMAGES:              0
SAVE_EXTRACTED_SOURCES:            0
SAVE_PREDICTED_VIS:                0
SAVE_ESTIMATED_GAINS:              0

# GPU Specific
RETAIN_DEVICE_MEM:                 0

# Gain Calibration
PERFORM_GAIN_CALIBRATION:          0
MAX_CALIBRATION_CYCLES:            5
NUM_OF_CALIBRATION_CYCLES:         1

USE_DEFAULT_GAINS:                 1
DEFAULT_GAINS_FILE:                "default_gains.csv"

# Gridding
GRID_PADDING_SCALAR:               1.2
MIN_ABS_W:                         0.0 
MAX_ABS_W:                         15618.61809359

# W-Projection Gridding
MIN_HALF_SUPPORT:                  4
MAX_HALF_SUPPORT:                  94
NUM_W_PLANES:                      786
OVERSAMPLING:                      4 # must be power of 2
LOAD_KERNELS_FROM_FILE:            1
SAVE_KERNELS_TO_FILE:              1

# Nifty Gridding
NIFTY_PERFORM_SHIFT_FFT:	       1
NIFTY_UPSAMPLING:		       2.0
NIFTY_SUPPORT:			       7
NIFTY_BETA:			       2.307
NIFTY_NUM_W_GRIDS_TO_BATCH:	       1

# Deconvolution
NUM_MINOR_CYCLES_CALIBRATION:      400
NUM_MINOR_CYCLES_IMAGING:          500
LOOP_GAIN:                         0.1
WEAK_SOURCE_THRESHOLD_CALIBRATION: 0.005
WEAK_SOURCE_THRESHOLD_IMAGING:     0.0002
NOISE_FACTOR:                      1.2
SEARCH_REGION_PERCENT:             70.0

# Direct Fourier Transform
